%define skeldir %_sysconfdir/skel.homeros

Name: homeros-core
Version: 20110130
Release: alt1
Summary: The set of scripts and predefined settings for ALT Linux Homeros distribution
Group: System/Configuration/Other
URL: http://homeros.altlinux.org
License: GPL
BuildArch: noarch
Packager: Michael Pozhidaev <msp@altlinux.ru>
BuildRequires: etcskel

Source: %name-%version.tar.gz

%package -n etcskel-homeros
Summary: /etc/skel directory for ALT Linux Homeros distribution
Group: System/Configuration/Other
License: GPL
%add_python_req_skip orca re time

%package -n homeros-tools
Summary: The set of script for ALT Linux Homeros distribution
Group: System/Configuration/Other
License: GPL

%package -n homeros-media
Summary: Media files for ALT Linux Homeros distributions
Group: System/Configuration/Other
License: GPL

%package -n homeros-emacs-menu
Summary: The menu for quick application launch in Homeros Friend distributions
Group: Editors
License: GPL
Requires: emacs-base

%package -n homeros-friend-data
Summary: Various data files for ALT Linux Homeros Friend distribution
Group: System/Configuration/Other
License: GPL

%description
The set of scripts and predefined settings for ALT Linux Homeros distribution

%description -n etcskel-homeros
This package contains initial content of newly created 
home directories. This content will be copied into 
users private files on new account creation.

%description -n homeros-tools
This package contains set of scripts to simplify 
using ALT Linux distribution.
Currently these scripts are:
- enable-orca-autostart
- update-emacs-configuration
- useradd-homeros

%description -n homeros-media
This package contains media files for ALT Linux Homeros distribution.

%description -n homeros-emacs-menu
This package contains scripts to add starting menu to emacs for Homeros users.

%description -n homeros-friend-data
The package with various data files for ALT Linux Homeros Friend distribution

%prep
%setup -q
%build
%install
./homeros-core-install %buildroot

%files -n etcskel-homeros
%config %skeldir

%files -n homeros-tools
%_bindir/*

%files -n homeros-media
%_datadir/sounds/homeros

%files -n homeros-emacs-menu
%_datadir/homeros-emacs-menu
%_sysconfdir/emacs/site-start.d/homeros-menu.el
%_sysconfdir/rc.d/init.d/homeros-emacs-menu

%files -n homeros-friend-data
%_datadir/homeros-friend

%changelog
* Sun Jan 30 2011 Michael Pozhidaev <msp@altlinux.ru> 20110130-alt1
- Removed GNOME predifined settings from skel
- Minor fixes in emacs configuration

* Wed Jan 26 2011 Michael Pozhidaev <msp@altlinux.ru> 20110126-alt1
- Fixed typos

* Tue Jan 11 2011 Michael Pozhidaev <msp@altlinux.ru> 20110111-alt1
- Added homeros-emacs-menu service in /etc/rc.d/init.d

* Mon Jan 10 2011 Michael Pozhidaev <msp@altlinux.ru> 20110110-alt1
- Added homeros-emacs-menu subpackage
- Added homeros-friend-data subpackage

* Mon Dec 20 2010 Michael Pozhidaev <msp@altlinux.ru> 20101220-alt1
- Added cl requirement to emacspeak autostart script

* Tue Nov 16 2010 Michael Pozhidaev <msp@altlinux.ru> 20101116-alt2
- Fixed tools subpackage name
- Added homeros-media subpackage with startup soudn file

* Tue Nov 16 2010 Michael Pozhidaev <msp@altlinux.ru> 20101116-alt1
- Added homeros-tools subpackage

* Fri Jan 01 2010 Michael Pozhidaev <msp@altlinux.ru> 20100101-alt1
- Initial package

